# rundler_getUserOperationStatus

> For the complete documentation index, see [llms.txt](/docs/llms.txt).

POST https://eth-mainnet.g.alchemy.com/v2/{apiKey}

Returns the current status and related details for a `UserOperation`.

Reference: https://www.alchemy.com/docs/wallets/api-reference/bundler-api/bundler-api-endpoints/rundler-get-user-operation-status

## Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| userOpHash | string | Yes | The `userOpHash` of the `UserOperation` to check. |

## Result

**UserOperation status** (object): Status information for a `UserOperation`, including receipt and pending bundle details when available.

## Example

### Request

```json
{
  "jsonrpc": "2.0",
  "method": "rundler_getUserOperationStatus",
  "params": [
    "0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
  ],
  "id": 1
}
```

### Response

```json
{
  "jsonrpc": "2.0",
  "result": {
    "status": "pendingBundle",
    "receipt": null,
    "userOperation": {
      "sender": "0x1111111111111111111111111111111111111111",
      "nonce": "0x1",
      "factory": "0x5555555555555555555555555555555555555555",
      "factoryData": "0x1234",
      "callData": "0x",
      "callGasLimit": "0x5208",
      "verificationGasLimit": "0x186a0",
      "preVerificationGas": "0x7530",
      "maxFeePerGas": "0x59682f00",
      "maxPriorityFeePerGas": "0x59682f",
      "paymaster": "0x0000000000000000000000000000000000000000",
      "paymasterVerificationGasLimit": "0x7530",
      "paymasterPostOpGasLimit": "0x5208",
      "paymasterData": "0x",
      "signature": "0x"
    },
    "addedAtBlock": "0x12a3b4c",
    "validUntil": "0x68f00000",
    "validAfter": "0x0",
    "pendingBundle": {
      "txHash": "0xdddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd",
      "sentAtBlock": "0x12a3b4d",
      "bundlerAddress": "0x2222222222222222222222222222222222222222"
    }
  },
  "id": 1
}
```

## Code Examples

### cURL

```bash
curl --request POST \
  --url https://eth-mainnet.g.alchemy.com/v2/docs-demo \
  --header 'Content-Type: application/json' \
  --data '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "rundler_getUserOperationStatus",
  "params": [
    "0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
  ]
}'
```

### JavaScript

```javascript
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    jsonrpc: '2.0',
    id: 1,
    method: 'rundler_getUserOperationStatus',
    params: ['0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa']
  })
};

fetch('https://eth-mainnet.g.alchemy.com/v2/docs-demo', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://eth-mainnet.g.alchemy.com/v2/docs-demo"

payload = {
    "jsonrpc": "2.0",
    "id": 1,
    "method": "rundler_getUserOperationStatus",
    "params": ["0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"]
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://eth-mainnet.g.alchemy.com/v2/docs-demo"

	payload := strings.NewReader("{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"rundler_getUserOperationStatus\",\n  \"params\": [\n    \"0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa\"\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
```

### Java

```java
HttpResponse<String> response = Unirest.post("https://eth-mainnet.g.alchemy.com/v2/docs-demo")
  .header("Content-Type", "application/json")
  .body("{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"rundler_getUserOperationStatus\",\n  \"params\": [\n    \"0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa\"\n  ]\n}")
  .asString();
```

### C#

```csharp
using RestSharp;


var options = new RestClientOptions("https://eth-mainnet.g.alchemy.com/v2/docs-demo");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddJsonBody("{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"rundler_getUserOperationStatus\",\n  \"params\": [\n    \"0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa\"\n  ]\n}", false);
var response = await client.PostAsync(request);

Console.WriteLine("{0}", response.Content);

```


## OpenRPC Method Specification

```yaml
name: rundler_getUserOperationStatus
description: Returns the current status and related details for a `UserOperation`.
x-compute-units: 50
params:
  - name: userOpHash
    required: true
    description: The `userOpHash` of the `UserOperation` to check.
    schema:
      type: string
      pattern: ^0x[0-9a-fA-F]*$
      minLength: 66
      maxLength: 66
result:
  name: UserOperation status
  description: Status information for a `UserOperation`, including receipt and pending bundle details when available.
  schema:
    type: object
    required:
      - status
      - receipt
      - userOperation
      - addedAtBlock
      - validUntil
      - validAfter
      - pendingBundle
    properties:
      status:
        type: string
        enum:
          - unknown
          - pending
          - pendingBundle
          - mined
          - preconfirmed
        description: The current status of the `UserOperation`.
      receipt:
        anyOf:
          - type: object
            required:
              - userOpHash
              - entryPoint
              - sender
              - nonce
              - actualGasCost
              - actualGasUsed
              - success
              - logs
              - receipt
            properties:
              userOpHash:
                type: string
                pattern: ^0x[0-9a-fA-F]*$
                minLength: 66
                maxLength: 66
                description: The hash of the `UserOperation`.
              entryPoint:
                type: string
                pattern: ^0x[0-9a-fA-F]*$
                minLength: 42
                maxLength: 42
                description: The EntryPoint address the request should be sent through. This MUST be one of the EntryPoints returned by the `supportedEntryPoints` RPC call.
              sender:
                type: string
                pattern: ^0x[0-9a-fA-F]*$
                minLength: 42
                maxLength: 42
                description: The account initiating the `UserOperation`.
              nonce:
                type: string
                pattern: ^0x[0-9a-fA-F]*$
                minLength: 3
                maxLength: 66
                description: The nonce used in the `UserOperation`.
              paymaster:
                type: string
                pattern: ^0x[0-9a-fA-F]*$
                minLength: 42
                maxLength: 42
                description: The paymaster used for this `UserOperation` (or empty if self-sponsored).
              actualGasCost:
                type: string
                pattern: ^0x[0-9a-fA-F]*$
                minLength: 3
                maxLength: 66
                description: The actual amount paid (by account or paymaster) for this `UserOperation`.
              actualGasUsed:
                type: string
                pattern: ^0x[0-9a-fA-F]*$
                minLength: 3
                maxLength: 66
                description: The total gas used by this `UserOperation` (including `preVerification`, `creation`, `validation`, and `execution`).
              success:
                type: boolean
                description: Indicates whether the execution completed without reverting.
              reason:
                type: string
                description: In case of revert, this is the revert reason.
              logs:
                type: array
                description: The logs generated by this `UserOperation` (not including logs of other `UserOperations` in the same bundle).
                items:
                  type: object
                  required:
                    - address
                    - topics
                    - data
                  title: UserOperation log
                  properties:
                    address:
                      type: string
                      pattern: ^0x[0-9a-fA-F]*$
                      minLength: 42
                      maxLength: 42
                      description: 20 Bytes - address from which this userOperation log originated.
                    topics:
                      type: array
                      description: Array of indexed log argument topics for this userOperation log.
                      items:
                        type: string
                        pattern: ^0x[0-9a-fA-F]*$
                        minLength: 66
                        maxLength: 66
                    data:
                      type: string
                      pattern: ^0x[0-9a-fA-F]*$
                      description: Non-indexed log data for this userOperation.
              receipt:
                type: object
                required:
                  - cumulativeGasUsed
                  - effectiveGasPrice
                  - from
                  - gasUsed
                  - logs
                  - logsBloom
                  - status
                  - to
                  - transactionHash
                  - type
                description: The `TransactionReceipt` object for the entire bundle, not only for this `UserOperation`.
                title: Transaction receipt
                properties:
                  type:
                    anyOf:
                      - type: string
                        pattern: ^0x[0-9a-fA-F]*$
                        minLength: 3
                        maxLength: 66
                      - type: string
                    description: The type of the transaction.
                  blockHash:
                    anyOf:
                      - type: string
                        pattern: ^0x[0-9a-fA-F]*$
                        minLength: 66
                        maxLength: 66
                      - type: 'null'
                    description: 32 Bytes - The hash of the block where the given transaction was included.
                  blockNumber:
                    anyOf:
                      - type: string
                        pattern: ^0x[0-9a-fA-F]*$
                        minLength: 3
                        maxLength: 66
                      - type: 'null'
                    description: The number of the block where the given transaction was included.
                  contractAddress:
                    anyOf:
                      - type: string
                        pattern: ^0x[0-9a-fA-F]*$
                        minLength: 42
                        maxLength: 42
                      - type: 'null'
                    description: 20 Bytes - The contract address created if the transaction was a contract creation, otherwise null.
                  cumulativeGasUsed:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                    description: The total amount of gas used when this transaction was executed in the block.
                  effectiveGasPrice:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                    description: The actual price per unit of gas paid by the sender.
                  from:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 42
                    maxLength: 42
                    description: 20 Bytes - address of the sender.
                  gasUsed:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                    description: The amount of gas used by this specific transaction alone.
                  logs:
                    type: array
                    description: Array of `Log` objects.
                    items:
                      type: object
                      required:
                        - address
                        - data
                        - removed
                        - topics
                      title: Transaction log
                      properties:
                        address:
                          type: string
                          pattern: ^0x[0-9a-fA-F]*$
                          minLength: 42
                          maxLength: 42
                          description: 20 Bytes - address from which this log originated.
                        blockHash:
                          anyOf:
                            - type: string
                              pattern: ^0x[0-9a-fA-F]*$
                              minLength: 66
                              maxLength: 66
                            - type: 'null'
                          description: The hash of the block where this log was included.
                        blockNumber:
                          anyOf:
                            - type: string
                              pattern: ^0x[0-9a-fA-F]*$
                              minLength: 3
                              maxLength: 66
                            - type: 'null'
                          description: The block number.
                        data:
                          type: string
                          pattern: ^0x[0-9a-fA-F]*$
                          description: Contains one or more 32 Bytes non-indexed arguments of the log.
                        logIndex:
                          anyOf:
                            - type: string
                              pattern: ^0x[0-9a-fA-F]*$
                              minLength: 3
                              maxLength: 66
                            - type: 'null'
                          description: The log index position in the block.
                        removed:
                          type: boolean
                          description: '`true` when the log was removed due to a chain reorganization. `false` if it is a valid log.'
                        topics:
                          type: array
                          description: Array of zero to four 32 Bytes DATA values for indexed log arguments.
                          items:
                            type: string
                            pattern: ^0x[0-9a-fA-F]*$
                            minLength: 66
                            maxLength: 66
                        transactionHash:
                          anyOf:
                            - type: string
                              pattern: ^0x[0-9a-fA-F]*$
                              minLength: 66
                              maxLength: 66
                            - type: 'null'
                          description: The hash of the transaction this log was created from.
                        transactionIndex:
                          anyOf:
                            - type: string
                              pattern: ^0x[0-9a-fA-F]*$
                              minLength: 3
                              maxLength: 66
                            - type: 'null'
                          description: The transaction index position for the transaction that created this log.
                  logsBloom:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    description: 256 Bytes - Bloom filter for light clients to quickly retrieve related logs.
                  status:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                    description: Either `0x1` (success) or `0x0` (failure).
                  to:
                    anyOf:
                      - type: string
                        pattern: ^0x[0-9a-fA-F]*$
                        minLength: 42
                        maxLength: 42
                      - type: 'null'
                    description: 20 Bytes - address of the receiver. Null when it is a contract creation transaction.
                  transactionHash:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 66
                    maxLength: 66
                    description: 32 Bytes - The hash of the transaction.
                  transactionIndex:
                    anyOf:
                      - type: string
                        pattern: ^0x[0-9a-fA-F]*$
                        minLength: 3
                        maxLength: 66
                      - type: 'null'
                    description: The index of the transaction in the block.
                  blobGasPrice:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                  blobGasUsed:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                  blockTimestamp:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                  root:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 66
                    maxLength: 66
                    description: 32 bytes of post-transaction state root (pre-Byzantium hard fork).
            additionalProperties: {}
            title: UserOperationReceipt
          - type: 'null'
        description: The receipt for completed userOperations, or null when no receipt is available.
      userOperation:
        anyOf:
          - anyOf:
              - type: object
                required:
                  - sender
                  - nonce
                  - callData
                  - callGasLimit
                  - verificationGasLimit
                  - preVerificationGas
                  - maxFeePerGas
                  - maxPriorityFeePerGas
                  - signature
                properties:
                  sender:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 42
                    maxLength: 42
                    description: The account sending the userOperation.
                  nonce:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                    description: Anti-replay parameter; also used as the salt for first-time account creation.
                  initCode:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    description: The initCode of the account (needed if and only if the account is not yet on-chain and needs to be created).
                  callData:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    description: Encoded data for executing the primary function call or operation within the user's transaction, such as calling a smart contract function or transferring tokens. This data is passed to the sender's address during the execution of the userOperation.
                  callGasLimit:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                    description: The amount of gas to allocate for the main execution call.
                  verificationGasLimit:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                    description: The amount of gas to allocate for the verification step.
                  preVerificationGas:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                    description: The amount of gas to compensate the bundler for pre-verification execution and calldata.
                  maxFeePerGas:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                    description: The maximum fee per gas to pay for the execution of this operation (similar to EIP-1559 max_fee_per_gas).
                  maxPriorityFeePerGas:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                    description: Maximum priority fee per gas (similar to EIP-1559 max_priority_fee_per_gas).
                  paymasterAndData:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    description: Address of paymaster sponsoring the transaction, followed by extra data to send to the paymaster (empty for self-sponsored transaction).
                  signature:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    description: Data passed into the account along with the nonce during the verification step.
                  eip7702Auth:
                    anyOf:
                      - type: object
                        required:
                          - chainId
                          - nonce
                          - address
                          - yParity
                          - r
                          - s
                        properties:
                          chainId:
                            type: string
                            pattern: ^0x[0-9a-fA-F]*$
                            description: The chain ID authorized by this EIP-7702 tuple.
                          nonce:
                            type: string
                            pattern: ^0x[0-9a-fA-F]*$
                            description: The nonce of the EIP-7702 authority.
                          address:
                            type: string
                            pattern: ^0x[0-9a-fA-F]*$
                            minLength: 42
                            maxLength: 42
                            description: The contract address to set as code for the authority.
                          yParity:
                            type: string
                            pattern: ^0x[0-9a-fA-F]*$
                            description: The y-parity value for the authorization signature.
                          r:
                            type: string
                            pattern: ^0x[0-9a-fA-F]*$
                            description: The ECDSA r value.
                          s:
                            type: string
                            pattern: ^0x[0-9a-fA-F]*$
                            description: The ECDSA s value.
                        additionalProperties: {}
                        title: EIP-7702 authorization
                      - type: 'null'
                  aggregator:
                    anyOf:
                      - anyOf:
                          - type: string
                            pattern: ^0x[0-9a-fA-F]*$
                            minLength: 42
                            maxLength: 42
                          - type: string
                            enum:
                              - 0x
                      - type: 'null'
                  entryPoint:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 42
                    maxLength: 42
                    description: Address of the EntryPoint contract.
                  blockNumber:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                    description: Block number in which `UserOperation` is included.
                  blockHash:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 66
                    maxLength: 66
                    description: Block hash of the block containing `UserOperation`.
                  transactionHash:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 66
                    maxLength: 66
                    description: Transaction hash of the `UserOperation`.
                additionalProperties: {}
                title: Entrypoint v0.6 Response
              - type: object
                required:
                  - sender
                  - nonce
                  - callData
                  - callGasLimit
                  - verificationGasLimit
                  - preVerificationGas
                  - maxFeePerGas
                  - maxPriorityFeePerGas
                  - signature
                properties:
                  sender:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 42
                    maxLength: 42
                    description: The account sending the userOperation.
                  nonce:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                    description: Anti-replay parameter; also used as the salt for first-time account creation.
                  factory:
                    anyOf:
                      - anyOf:
                          - type: string
                            pattern: ^0x[0-9a-fA-F]*$
                            minLength: 42
                            maxLength: 42
                          - type: string
                            enum:
                              - 0x
                      - type: 'null'
                    description: The account factory address (needed if and only if the account is not yet on-chain and needs to be created).
                  factoryData:
                    anyOf:
                      - type: string
                        pattern: ^0x[0-9a-fA-F]*$
                      - type: 'null'
                    description: Data for the account factory (only if the account factory exists).
                  callData:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    description: Encoded data for executing the primary function call or operation within the user's transaction, such as calling a smart contract function or transferring tokens. This data is passed to the sender's address during the execution of the userOperation.
                  callGasLimit:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                    description: The amount of gas to allocate for the main execution call.
                  verificationGasLimit:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                    description: The amount of gas to allocate for the verification step.
                  preVerificationGas:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                    description: The amount of gas to compensate the bundler for pre-verification execution and calldata.
                  maxFeePerGas:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                    description: The maximum fee per gas to pay for the execution of this operation (similar to EIP-1559 max_fee_per_gas).
                  maxPriorityFeePerGas:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                    description: Maximum priority fee per gas (similar to EIP-1559 max_priority_fee_per_gas).
                  paymaster:
                    anyOf:
                      - anyOf:
                          - type: string
                            pattern: ^0x[0-9a-fA-F]*$
                            minLength: 42
                            maxLength: 42
                          - type: string
                            enum:
                              - 0x
                      - type: 'null'
                    description: Address of the paymaster contract (or empty, if the account pays for itself).
                  paymasterVerificationGasLimit:
                    anyOf:
                      - type: string
                        pattern: ^0x[0-9a-fA-F]*$
                        minLength: 3
                        maxLength: 66
                      - type: 'null'
                    description: The amount of gas to allocate for the paymaster validation code (only if a paymaster exists).
                  paymasterPostOpGasLimit:
                    anyOf:
                      - type: string
                        pattern: ^0x[0-9a-fA-F]*$
                        minLength: 3
                        maxLength: 66
                      - type: 'null'
                    description: The amount of gas to allocate for the paymaster post-op code (only if a paymaster exists).
                  paymasterData:
                    anyOf:
                      - type: string
                        pattern: ^0x[0-9a-fA-F]*$
                      - type: 'null'
                    description: Data for the paymaster (only if the paymaster exists).
                  signature:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    description: Data passed into the account along with the nonce during the verification step.
                  eip7702Auth:
                    anyOf:
                      - type: object
                        required:
                          - chainId
                          - nonce
                          - address
                          - yParity
                          - r
                          - s
                        properties:
                          chainId:
                            type: string
                            pattern: ^0x[0-9a-fA-F]*$
                            description: The chain ID authorized by this EIP-7702 tuple.
                          nonce:
                            type: string
                            pattern: ^0x[0-9a-fA-F]*$
                            description: The nonce of the EIP-7702 authority.
                          address:
                            type: string
                            pattern: ^0x[0-9a-fA-F]*$
                            minLength: 42
                            maxLength: 42
                            description: The contract address to set as code for the authority.
                          yParity:
                            type: string
                            pattern: ^0x[0-9a-fA-F]*$
                            description: The y-parity value for the authorization signature.
                          r:
                            type: string
                            pattern: ^0x[0-9a-fA-F]*$
                            description: The ECDSA r value.
                          s:
                            type: string
                            pattern: ^0x[0-9a-fA-F]*$
                            description: The ECDSA s value.
                        additionalProperties: {}
                        title: EIP-7702 authorization
                      - type: 'null'
                  aggregator:
                    anyOf:
                      - anyOf:
                          - type: string
                            pattern: ^0x[0-9a-fA-F]*$
                            minLength: 42
                            maxLength: 42
                          - type: string
                            enum:
                              - 0x
                      - type: 'null'
                  entryPoint:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 42
                    maxLength: 42
                    description: Address of the EntryPoint contract.
                  blockNumber:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 3
                    maxLength: 66
                    description: Block number in which `UserOperation` is included.
                  blockHash:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 66
                    maxLength: 66
                    description: Block hash of the block containing `UserOperation`.
                  transactionHash:
                    type: string
                    pattern: ^0x[0-9a-fA-F]*$
                    minLength: 66
                    maxLength: 66
                    description: Transaction hash of the `UserOperation`.
                additionalProperties: {}
                title: Entrypoint v0.7 / v0.8 Response
            title: UserOperation
          - type: 'null'
        description: The userOperation payload when available.
      addedAtBlock:
        anyOf:
          - type: string
            pattern: ^0x[0-9a-fA-F]*$
            minLength: 3
            maxLength: 66
          - type: 'null'
        description: The block number when the userOperation was added, or null when unavailable.
      validUntil:
        anyOf:
          - type: string
            pattern: ^0x[0-9a-fA-F]*$
            minLength: 3
            maxLength: 66
          - type: 'null'
        description: The last block or timestamp for which the userOperation is valid, or null when unavailable.
      validAfter:
        anyOf:
          - type: string
            pattern: ^0x[0-9a-fA-F]*$
            minLength: 3
            maxLength: 66
          - type: 'null'
        description: The first block or timestamp for which the userOperation is valid, or null when unavailable.
      pendingBundle:
        anyOf:
          - type: object
            required:
              - txHash
              - sentAtBlock
              - bundlerAddress
            properties:
              txHash:
                type: string
                pattern: ^0x[0-9a-fA-F]*$
                minLength: 66
                maxLength: 66
                description: The transaction hash for the pending bundle.
              sentAtBlock:
                type: string
                pattern: ^0x[0-9a-fA-F]*$
                minLength: 3
                maxLength: 66
                description: The block number when the bundle was sent.
              bundlerAddress:
                type: string
                pattern: ^0x[0-9a-fA-F]*$
                minLength: 42
                maxLength: 42
                description: The bundler address that sent the bundle.
            additionalProperties: {}
            title: Pending bundle
          - type: 'null'
        description: Pending bundle details, or null when the userOperation is not in a pending bundle.
examples:
  - name: rundler_getUserOperationStatus example
    params:
      - name: userOpHash
        value: '0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa'
    result:
      name: UserOperation status
      value:
        status: pendingBundle
        receipt: null
        userOperation:
          sender: '0x1111111111111111111111111111111111111111'
          nonce: '0x1'
          factory: '0x5555555555555555555555555555555555555555'
          factoryData: '0x1234'
          callData: 0x
          callGasLimit: '0x5208'
          verificationGasLimit: '0x186a0'
          preVerificationGas: '0x7530'
          maxFeePerGas: '0x59682f00'
          maxPriorityFeePerGas: '0x59682f'
          paymaster: '0x0000000000000000000000000000000000000000'
          paymasterVerificationGasLimit: '0x7530'
          paymasterPostOpGasLimit: '0x5208'
          paymasterData: 0x
          signature: 0x
        addedAtBlock: '0x12a3b4c'
        validUntil: '0x68f00000'
        validAfter: '0x0'
        pendingBundle:
          txHash: '0xdddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd'
          sentAtBlock: '0x12a3b4d'
          bundlerAddress: '0x2222222222222222222222222222222222222222'
```
